FAQ Ошибки компиляции и запуска Sendmail + Spamassassin

На доскональное знание данной темы, не может претендовать, пожалуй ни один спец, из ныне живущих на земле. ;-)
Так поможем друг другу.

Модераторы: Trinity admin`s, Free-lance moderator`s

Аватара пользователя
Astashov
member
Сообщения: 23
Зарегистрирован: 16 ноя 2004, 15:19

Сообщение Astashov » 23 ноя 2004, 05:08

Под красной шапкой 9
Бросил курить сам - брось курить другому!

Аватара пользователя
corvax
free-lance moderator
Сообщения: 877
Зарегистрирован: 06 авг 2004, 17:21
Откуда: Kiev, Ukraine
Контактная информация:

Сообщение corvax » 23 ноя 2004, 09:43

Astashov писал(а):Под красной шапкой 9
ftp://ftp.funet.fi/pub/mirrors/fedora.r ... 10.src.rpm
ftp://ftp.funet.fi/pub/mirrors/fedora.r ... -3.src.rpm

остальные пакеты по зависимостям брать там же
--
/corvax

Аватара пользователя
Astashov
member
Сообщения: 23
Зарегистрирован: 16 ноя 2004, 15:19

Сообщение Astashov » 23 ноя 2004, 10:02

corvax писал(а): ftp://ftp.funet.fi/pub/mirrors/fedora.r ... 10.src.rpm
ftp://ftp.funet.fi/pub/mirrors/fedora.r ... -3.src.rpm

остальные пакеты по зависимостям брать там же
Спасибо.
Но вот какая вещь происходит. При установке, пробегает бар и вроде как все и никаких ошибок не выдает, но нет. Когда проверяю, установлен пакет или нет, оказывается что нет.
Installing "/home/user/dist/spamassassin-3.0.0-3.src.rpm"
  1:spamassassin           ########################################### [100%]
В чем может быть проблема?
С перлом точно такая-же ситуация.
Прошу прощения у модераторов, за то что иногда в вопросах отклоняюсь от темы топика  :roll:
Последний раз редактировалось Astashov 23 ноя 2004, 10:15, всего редактировалось 1 раз.
Бросил курить сам - брось курить другому!

Аватара пользователя
corvax
free-lance moderator
Сообщения: 877
Зарегистрирован: 06 авг 2004, 17:21
Откуда: Kiev, Ukraine
Контактная информация:

Сообщение corvax » 23 ноя 2004, 10:14

Astashov писал(а):
corvax писал(а): ftp://ftp.funet.fi/pub/mirrors/fedora.r ... 10.src.rpm
ftp://ftp.funet.fi/pub/mirrors/fedora.r ... -3.src.rpm

остальные пакеты по зависимостям брать там же
Спасибо.
Но вот какая вещь происходит. При установке, пробегает бар и вроде как все и никаких ошибок не выдает, но нет. Когда проверяю, установлен пакет или нет, оказывается что нет.
Installing "/home/user/dist/spamassassin-3.0.0-3.src.rpm"
  1:spamassassin           ########################################### [100%]
В чем может быть проблема?
man rpmbuild
man rpm
--
/corvax

Аватара пользователя
Astashov
member
Сообщения: 23
Зарегистрирован: 16 ноя 2004, 15:19

Сообщение Astashov » 23 ноя 2004, 12:02

Спасибо за помощь.
Пакеты так странно устанавливались, потому-что установщик рпм думал, что пакеты неправльного формата. Я просто напрямую с фтп поставил и вроде пошло(скорее всего из-за ошибок при скачивании файла. у меня тогда плохо инет работал). А спамассасин после обновления перла все равно ставиться не хотел, пришлось убрать поиск зависимостей и тогда пошло. Так что пока нормально работает. Начал обучать.
Бросил курить сам - брось курить другому!

Аватара пользователя
corvax
free-lance moderator
Сообщения: 877
Зарегистрирован: 06 авг 2004, 17:21
Откуда: Kiev, Ukraine
Контактная информация:

Сообщение corvax » 23 ноя 2004, 12:13

Astashov писал(а):Спасибо за помощь.
Пакеты так странно устанавливались, потому-что установщик рпм думал, что пакеты неправльного формата.
это при rpm -i на src.rpm?
просто надо доку читать до, а не после начала работы с пакетным менеджером
src.rpm'ы тоже можно устанавливать, но под этим подразумевается извлечение из src.rpm архивов с исходными текстами, патчей и spec файла и сохранение их в соответствующих каталогах для последующей сборки пакета
Astashov писал(а):Я просто напрямую с фтп поставил и вроде пошло(скорее всего из-за ошибок при скачивании файла. у меня тогда плохо инет работал). А спамассасин после обновления перла все равно ставиться не хотел, пришлось убрать поиск зависимостей и тогда пошло.
просто прелесть. и чего ему не хватало? а скачать, скомпилить и установить недостающие пакеты религия не позволяет?
Astashov писал(а):Так что пока нормально работает. Начал обучать.
если установка производилась с --nodeps, то существует ненулевая вероятность того, что в предыдущем предложении ключевым словом может стать "пока"
--
/corvax

Аватара пользователя
gorlum
Advanced member
Сообщения: 137
Зарегистрирован: 18 июн 2004, 11:43
Откуда: Ангарск
Контактная информация:

Сообщение gorlum » 16 дек 2004, 12:40

Код: Выделить всё

router1# /usr/local/bin/spamd -d -r /var/run/spamd.pid -u nobody
Required module Storable not found!
Что я не так сделал? Подскажите пожалуйста.
FreeBSD 5.2.1
Spamassassin 3.0.1

sxi
Junior member
Сообщения: 3
Зарегистрирован: 25 фев 2005, 11:52

Сообщение sxi » 25 фев 2005, 15:09

Здравствуйте! Как можно проверить работоспособность spamass-milter? Все работает! в логах ошибок нет! spamс с тестовым письмом работает. а сам sendmail не че не проверяет, т.е. в логах нет, что письма на спам проверяются, только на вирусы...! drweb работает на ура... что можно сделать для проверки?

Аватара пользователя
corvax
free-lance moderator
Сообщения: 877
Зарегистрирован: 06 авг 2004, 17:21
Откуда: Kiev, Ukraine
Контактная информация:

Сообщение corvax » 25 фев 2005, 15:18

sxi писал(а):Здравствуйте! Как можно проверить работоспособность spamass-milter? Все работает! в логах ошибок нет! spamс с тестовым письмом работает. а сам sendmail не че не проверяет, т.е. в логах нет, что письма на спам проверяются, только на вирусы...! drweb работает на ура... что можно сделать для проверки?
можно взглянуть на результат выполнения следующей команды?
grep InputMailFilters /etc/mail/sendmail.cf
--
/corvax

hose
Junior member
Сообщения: 11
Зарегистрирован: 15 мар 2005, 14:07

Сообщение hose » 15 мар 2005, 14:22

у меня такой вопрос:
стоит реально работающий sendmail 8.11.6, но был скомпилирован старым админом без поддержки miltera.
что сделать чтобы включить поддержку miltera?
если я установлю поверх старого sendmaila новый той же версии но с поддержкой miltera - будет ли работать?? возмет ли старые настройки? или надо будет все заново писать?

Аватара пользователя
corvax
free-lance moderator
Сообщения: 877
Зарегистрирован: 06 авг 2004, 17:21
Откуда: Kiev, Ukraine
Контактная информация:

Сообщение corvax » 15 мар 2005, 14:44

hose писал(а):у меня такой вопрос:
стоит реально работающий sendmail 8.11.6, но был скомпилирован старым админом без поддержки miltera.
что сделать чтобы включить поддержку miltera?
под linux - ничего сделать не получится
под freebsd - перекомпилить sendmail с поддержкой libmilter
hose писал(а):если я установлю поверх старого sendmaila новый той же версии но с поддержкой miltera - будет ли работать?? возмет ли старые настройки? или надо будет все заново писать?
настройки подхватит
только вот вопрос - на дворе 8.13 уже не вчера появился (о 8.12 я вообще молчу). какой смысл держаться за 8.11.6?
--
/corvax

hose
Junior member
Сообщения: 11
Зарегистрирован: 15 мар 2005, 14:07

2 corvax

Сообщение hose » 15 мар 2005, 15:09

не хочу рисковать
если бы ето кто-то делал - и сказал - да все работает...тогда поставил бы.
стоит freebsd - т.е я просто устанавливаю sendmail с поддержкой miltera поверх - и все будет работать?

Аватара пользователя
corvax
free-lance moderator
Сообщения: 877
Зарегистрирован: 06 авг 2004, 17:21
Откуда: Kiev, Ukraine
Контактная информация:

Re: 2 corvax

Сообщение corvax » 15 мар 2005, 15:13

hose писал(а):не хочу рисковать
если бы ето кто-то делал - и сказал - да все работает...тогда поставил бы.
стоит freebsd - т.е я просто устанавливаю sendmail с поддержкой miltera поверх - и все будет работать?
да
--
/corvax

hose
Junior member
Сообщения: 11
Зарегистрирован: 15 мар 2005, 14:07

Сообщение hose » 16 мар 2005, 17:17

так а если у меня linux... как быть??
если поверх влеплю что произойдет?
система ASPlinux 7.3
если так не работает - тогда зарезать старый? а как ето сделать?

Аватара пользователя
corvax
free-lance moderator
Сообщения: 877
Зарегистрирован: 06 авг 2004, 17:21
Откуда: Kiev, Ukraine
Контактная информация:

Сообщение corvax » 17 мар 2005, 11:00

hose писал(а):так а если у меня linux... как быть??
если поверх влеплю что произойдет?
система ASPlinux 7.3
под линуксом реализация libmilter от 8.11 нерабочая
hose писал(а):если так не работает - тогда зарезать старый? а как ето сделать?
просто апгрейднуть сендмейл на более новый
но при переходе от 8.11 к 8.12 нехило поменялись конфиги да и сама идеогия работы сендмыла
так что доку почитать придется по-любому
--
/corvax

Ответить

Вернуться в «Серверы - ПО, Unix подобные системы»